package org.mvcdi.demo;

import java.util.ArrayList;
import java.util.List;

public class PersonDao {

	private List<Person> people = new ArrayList<Person>();
	private long id = 0;

	public PersonDao() {
		people.add(new Person(id++, "Andy", "Gibson"));
		people.add(new Person(id++, "Roy", "Walker"));
		people.add(new Person(id++, "Sam", "Smith"));
		people.add(new Person(id++, "Davey", "Jones"));
	}
	
	public List<Person> getPeople() {
		return people;
	}
	
	public void save(Person person) {
		if (person.getId() == null) {
			person.setId(id++);
		}		
		if (!people.contains(person)) {
			people.add(person);
		}
	}	
}
