package org.mvcdi.demo;

import javax.inject.Inject;

import org.mvcdi.annotations.Controller;
import org.mvcdi.annotations.RequestMapping;
import org.mvcdi.annotations.RequestMethod;

@Controller
@RequestMapping("/person/")
public class PersonController {

	@Inject
	private PersonDao personDao; //we'll need this later

	public Person createPerson() {
		return new Person(null, "new", "person");
	}

	@RequestMapping("list")
	public String doListPeople() {
		return "listPeople";
	}

	@RequestMapping("view")
	public String doViewPerson() {
		return "viewPerson";
	}

	@RequestMapping(value = "edit", method = RequestMethod.GET)
	public String doEditPerson() {
		return "editPerson";
	}

	@RequestMapping(value = "edit", method = RequestMethod.POST)
	public String doPostUpdatePerson() {
		return "updatedPerson";
	}
}
